Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.PreflightSettingData Class Reference

## Public Member Functions
| PreflightSettingData ()
| Constructor.
| PreflightSettingData (String preflight_key, int operate_type, String src_pdf_path, String saved_pdf_path, int first_page_index, int last_page_index)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getFirst_page_index ()
| Get index of the first page to be analyzed or fixed, staring from 0. More...
int | getLast_page_index ()
| Get index of the last page to be analyzed or fixed. More...
int | getOperate_type ()
| Get the preflight operate type. More...
String | getPreflight_key ()
| Get the preflight key. More...
String | getSaved_pdf_path ()
| Get a complete path for saving the PDF file generated by the preflight analysis and fixup process. More...
String | getSrc_pdf_path ()
| Get a complete path of source PDF file to be analyze and fix. More...
void | setFirst_page_index (int value)
| Set index of the first page to be analyzed or fixed, staring from 0. More...
void | setLast_page_index (int value)
| Set index of the last page to be analyzed or fixed. More...
void | setOperate_type (int value)
| Set the preflight operate type. More...
void | setPreflight_key (String value)
| Set the preflight key. More...
void | setSaved_pdf_path (String value)
| Set a complete path for saving the PDF file generated by the preflight analysis and fixup process. More...
void | setSrc_pdf_path (String value)
| Set a complete path of source PDF file to be analyze and fix. More...

## Static Public Attributes
static final int | e_LibraryTypeFoxit = 0
| Preflight library type: Foxit.
static final int | e_LibraryTypePDFStandards = 1
| Preflight library type: Standards.
static final int | e_LibraryTypePrepressColorTransparency = 2
| Preflight library type: Prepress,Color and Transparency.
static final int | e_OperateTypeProfiles = 0
| Opearte type: profiles.
static final int | e_OperateTypeSingleChecks = 1
| Opearte type: single checks.
static final int | e_OperateTypeSingleFixups = 2
| Opearte type: single fixups.

## Detailed Description

This class represents setting data for preflight analysis and fixup operations.

## Constructor & Destructor Documentation

## ◆ PreflightSettingData()

com.foxit.sdk.addon.compliance.PreflightSettingData.PreflightSettingData | ( | String | preflight_key,
|  | int | operate_type,
|  | String | src_pdf_path,
|  | String | saved_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index
| ) |  |

Constructor, with parameters.

Parameters

  [in] | preflight_key | The preflight key. Retrieve available keys via Preflight.getItemKeysArray .
  [in] | operate_type | The preflight operate type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be analyzed or fixed. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving pdf file after analyzing and fixing. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyzed or fixed, and parameter first_page_index will be ignored. Default value: -1.

Returns
  None.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.PreflightSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFirst_page_index()

com.foxit.sdk.addon.compliance.PreflightSettingData.getFirst_page_index | ( |  | ) |

Get index of the first page to be analyzed or fixed, staring from 0.

Returns
  Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.

## ◆ getLast_page_index()

com.foxit.sdk.addon.compliance.PreflightSettingData.getLast_page_index | ( |  | ) |

Get index of the last page to be analyzed or fixed.

Returns
  Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyze, and parameter first_page_index will be ignored. Default value: -1.

## ◆ getOperate_type()

com.foxit.sdk.addon.compliance.PreflightSettingData.getOperate_type | ( |  | ) |

Get the preflight operate type.

Returns
  The preflight operate type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.

## ◆ getPreflight_key()

com.foxit.sdk.addon.compliance.PreflightSettingData.getPreflight_key | ( |  | ) |

Get the preflight key.

Returns
  The preflight key. Retrieve available keys via Preflight.getItemKeysArray .

## ◆ getSaved_pdf_path()

com.foxit.sdk.addon.compliance.PreflightSettingData.getSaved_pdf_path | ( |  | ) |

Get a complete path for saving the PDF file generated by the preflight analysis and fixup process.

Returns
  A complete path for saving the PDF file generated by the preflight analysis and fixup process.

## ◆ getSrc_pdf_path()

com.foxit.sdk.addon.compliance.PreflightSettingData.getSrc_pdf_path | ( |  | ) |

Get a complete path of source PDF file to be analyze and fix.

Returns
  A complete path of source PDF file to be analyze and fix.

## ◆ setFirst_page_index()

com.foxit.sdk.addon.compliance.PreflightSettingData.setFirst_page_index | ( | int | value | ) |

Set index of the first page to be analyzed or fixed, staring from 0.

Parameters

  [in] | value | Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.

Returns
  None.

## ◆ setLast_page_index()

com.foxit.sdk.addon.compliance.PreflightSettingData.setLast_page_index | ( | int | value | ) |

Set index of the last page to be analyzed or fixed.

Parameters

  [in] | value | Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyze, and parameter first_page_index will be ignored. Default value: -1.

Returns
  None.

## ◆ setOperate_type()

com.foxit.sdk.addon.compliance.PreflightSettingData.setOperate_type | ( | int | value | ) |

Set the preflight operate type.

Parameters

  [in] | value | The preflight operate type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.

Returns
  None.

## ◆ setPreflight_key()

com.foxit.sdk.addon.compliance.PreflightSettingData.setPreflight_key | ( | String | value | ) |

Set the preflight key.

Parameters

  [in] | value | The preflight key. Retrieve available keys via Preflight.getItemKeysArray .

Returns
  None.

## ◆ setSaved_pdf_path()

com.foxit.sdk.addon.compliance.PreflightSettingData.setSaved_pdf_path | ( | String | value | ) |

Set a complete path for saving the PDF file generated by the preflight analysis and fixup process.

Parameters

  [in] | value | A complete path for saving the PDF file generated by the preflight analysis and fixup process.

Returns
  None.

## ◆ setSrc_pdf_path()

com.foxit.sdk.addon.compliance.PreflightSettingData.setSrc_pdf_path | ( | String | value | ) |

Set a complete path of source PDF file to be analyze and fix.

Parameters

  [in] | value | A complete path of source PDF file to be analyze and fix.

Returns
  None.